from django.http import HttpResponse, Http404, FileResponse

def get_inter_Dict(user):

    from SubscribesApp.funcs import get_cur_user_subscribe
    user_subscribe = get_cur_user_subscribe(user)

    return {'user_subscribe': user_subscribe}

def get_inter_http_respose(template_obj, context_Dict, request):

    context_Dict.update(get_inter_Dict(request.user))

    return HttpResponse(template_obj.render(context_Dict, request))